Understanding Society User Support - Support #1441

Reasons for migration - w6 and w7
11/16/2020 05:14 PM - liona Pinter

Status: Resolved Start date: 11/16/2020
Priority: Normal % Done: 100%
Assignee:

Category:

Description
Hi there,

I'm interested in the question on reasons for migration asked in wave 6 (migrationhistory_iemb1.mreason) and 7
(migrationhistory_w7.mreason).

Firstly in wé it looks like this question was only asked of the IEMB sample. Who was asked this question in w77 i.e. was this asked of
the whole sample or just the IEMB boost sample? My understanding was that the boost sample was only done in wave 6.

Secondly, I've merged the 2 waves using the pidp and in looking at positive responses to mreasoné I've identified 373 respondents
altogether who have answered yes to mreason6 in at least one wave; 292 answered yes in both waves; 25 respondents in wave 7
only and 56 in wave 6 only. Is that correct?

I'm wondering why some respondents have a response under both waves: were they asked the question both times or was their
answer in wave 7 carried through from w6?

Hope that's clear.
Many thanks,
llona

History

#1 - 11/18/2020 11:01 AM - Alita Nandi
- Status changed from New to In Progress
- Assignee set to Alita Nandi

- % Done changed from 0 to 10

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.
Best wishes,
Understanding Society User Support Team

#2 - 11/18/2020 11:01 AM - Alita Nandi

- Private changed from Yes to No

#3 - 11/18/2020 01:23 PM - Alita Nandi
- Assignee changed from Alita Nandi to llona Pinter

- % Done changed from 10 to 80

Hello llona,

In Wave 6, only IEMB sample members not born in the UK were asked this question. In Wave 7, those who were born outside the UK but not part of
the IEMB sample were asked this question. There should be no overlap, but in a handful of cases this may happen if the fed forward information used
to identify the eligible persons was not correct.

| compared f_mreason6 g_mreason6 and could only find 3 persons who answered the question in both waves and only 1 who responded yes to both
waves. Could you please check your syntax again? This is the Stata syntax | used:

use pidp f_mreason6 using f_indresp, clear
merge 1:1 pidp using g_indresp, keepusing(g_mreason6)
ta f_mreason6 g_mreason6

Best wishes,
Understanding Society User Support Team
#4 - 11/30/2020 11:08 AM - llona Pinter
- File clipboard-202011301034-8sdrz.png added

Hi Alita,

Thanks for this and sorry for the delayed response. Thanks for clarifying the samples that this question was asked of in waves 6 and 7. That's really
helpful!

Re the merged data, | checked the syntax and ran yours as well. | think the only difference in mine was that | wasn't using 'keepusing(g_reason6)' but
the rest seems to be the same.

Running your commands, | can see where you get the 1 and 3 from and that makes sense, and overall it does look like there were 292 respondents
which had a positive answer to this question in either of the waves based on the individuals that were matched from the two datasets in the merge.
But presumably the 'tab' command wouldn't include the individual cases which appear only in one wave? When | tabulated the merge variable with
the mreason6 variables it still shows that there were 25 individuals who responded positively in wave 7 only and 56 in wave 6 only, along with the 292
whose record was matched in both waves (giving a total of 373 respondents in total).

Sorry | hope this makes sense. If not, can | send you my tabulated results somehow to verify?

Thanks for your help!
llona

Alita Nandi wrote in #note-3:
Hello llona,

In Wave 6, only IEMB sample members not born in the UK were asked this question. In Wave 7, those who were born outside the UK but not
part of the IEMB sample were asked this question. There should be no overlap, but in a handful of cases this may happen if the fed forward
information used to identify the eligible persons was not correct.

| compared f_mreason6 g_mreason6 and could only find 3 persons who answered the question in both waves and only 1 who responded yes to
both waves. Could you please check your syntax again? This is the Stata syntax | used:

use pidp f_mreason6 using f_indresp, clear
merge 1:1 pidp using g_indresp, keepusing(g_mreason6)
ta f_mreason6 g_mreason6

Best wishes,
Understanding Society User Support Team

#5 - 11/30/2020 11:42 AM - Alita Nandi

- Private changed from No to Yes

#6 - 12/01/2020 09:50 AM - Alita Nandi
- File deleted (clipboard-202011301034-8sdrz.png)

#7 - 12/01/2020 10:34 AM - Alita Nandi

You are correct, you need to type to see the cases that appear in only one of the waves
ta f_mreason6 g_mreason6, m

And yes, there are 373 individuals for whom at least one of these questions = 1 (mentioned)

#8 - 12/01/2020 10:35 AM - Alita Nandi
- Status changed from In Progress to Feedback

- Private changed from Yes to No

#9 - 12/02/2020 12:28 PM - llona Pinter

Great thanks very much Alita!

#10 - 03/02/2021 03:07 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved
- Assignee deleted (llona Pinter)

- % Done changed from 80 to 100
